Bug 415010 - Blue separator line hardly visible if drag and drop folder to places underneath a selected place with Breeze dark
Summary: Blue separator line hardly visible if drag and drop folder to places undernea...
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: places (show other bugs)
Version: 19.08.3
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: gvgeo
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2019-12-10 10:30 UTC by postix
Modified: 2020-01-27 16:50 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot of the issue. (51.44 KB, image/png)
2019-12-10 10:30 UTC, postix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2019-12-10 10:30:11 UTC
Created attachment 124418 [details]
Screenshot of the issue.

SUMMARY

The separator line has the same blue color as the selection color, which makes it practically invisible if a folder is dragged under a selected place.
There are actually a few pixel additional to the left and right of the separator line, which are wider than the selection, so you can just guess, that it's there.

Please see the screenshot.
Comment 1 Christoph Feck 2020-01-09 10:31:30 UTC
Maybe it should just use the text color.
Comment 2 Nate Graham 2020-01-09 16:20:27 UTC
Yeah, that would make sense.
Comment 3 gvgeo 2020-01-27 12:32:33 UTC
https://phabricator.kde.org/D26936
Comment 4 Nate Graham 2020-01-27 16:50:03 UTC
Git commit 178eb5927c8699c89b3d91b0ebffc00ddaa11a58 by Nate Graham, on behalf of George Vogiatzis.
Committed on 27/01/2020 at 16:49.
Pushed by ngraham into branch 'release/19.12'.

Change drop indicator color

Summary:
Change drop indicator color form highlight to text.
This makes more visible, when indicator is adjacent to a highlight
item, of a list.

Test Plan:
Before vs After
{F7974679}

Reviewers: #dolphin, #vdg, elvisangelaccio, ngraham

Reviewed By: #dolphin, #vdg, ngraham

Subscribers: meven, kfm-devel

Tags: #dolphin

Differential Revision: https://phabricator.kde.org/D26936

M  +1    -1    src/kitemviews/kitemlistview.cpp

https://commits.kde.org/dolphin/178eb5927c8699c89b3d91b0ebffc00ddaa11a58